Subject: Re: Enhancing --show-function and --function-context in default configurations

From: Junio C Hamano <[email-masked]>
Date: Sun, 01 Aug 2021 19:21:52 -0700

heapcrash heapcrash <[email-masked]> writes:

> gauge whether these changes would be accepted or not.  As far as I can
> tell, these would not change the default behavior of plain git
> {grep,log,diff} unless the --show-function or --function-context flags
> are specified

Two other places may be diff hunk headers and --diff-words output, I think.

> Should I work on a patch that does this?

That depends.  If you are going to introduce a mechanism to
introduce hardcoded configurations, depending on how it is done, it
will become a huge security headache.